.\" Man page generated from reStructuredText.
.
.TH "CWB_MPLUGIN" "1" "Nov 25, 2022" "cWB-6.4.2" "coherent WaveBurst"
.SH NAME
cwb_mplugin \- cWB Documentation
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.nf

.fi
.sp
.nf

\fBUsage\fP

This command is used to merge plugins into one.

\fBSyntax\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
\fBcwb_mplugin out_plugin.C in_plugin_1.C(opt) in_plugin_2.C(opt) in_plugin_3.C(opt) in_plugin_4.C(opt)\fP
.UNINDENT
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
\fBout_plugin.C\fP : name of the output plugin
.IP \(bu 2
\fBin_plugin_1.C\fP : name of the input plugin 1
.IP \(bu 2
\fBin_plugin_2.C\fP : name of the input plugin 2 (optional)
.IP \(bu 2
\fBin_plugin_3.C\fP : name of the input plugin 3 (optional)
.IP \(bu 2
\fBin_plugin_4.C\fP : name of the input plugin 4 (optional)
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.sp
\fBNOTE:\fP
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP \(bu 2
the input plugins are executed following the order of the declaration
in_plugin_1.C, in_plugin_2.C, in_plugin_3.C, in_plugin_4.C
.IP \(bu 2
the instructions #define,#include,#pragma must be defined outside the functions
.UNINDENT
.UNINDENT
.UNINDENT
.nf

\fBExample\fP

.fi
.sp
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
cwb_mplugin out_plugin.C in_plugin_1.C in_plugin_2.C
.ft P
.fi
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.SH AUTHOR
Gabriele Vedovato
.SH COPYRIGHT
2018, cWB Team
.\" Generated by docutils manpage writer.
.
